<?php

namespace Drupal\captcha_after;

/**
 * Defines a few constants for the module.
 */
class CaptchaAfterConstants {

  /**
   * Threshold value indicating to replace it by the module default value.
   */
  const THRESHOLD_DEFAULT = '';

  /**
   * Threshold value indicating that it shouldn't be taken into account.
   */
  const THRESHOLD_DISABLED = '0';

  /**
   * Flood event default expiration delay in seconds.
   */
  const FLOOD_EXPIRATION = 3600;

  /**
   * Identifier for global flood thresholds.
   */
  public const GLOBAL_FLOOD_IDENTIFIER = '_global_';

  /**
   * Global flooding threshold flood event name.
   */
  public const GLOBAL_FLOODING_THRESHOLD_EVENT = 'captcha_after_gft';

  /**
   * Flooding threshold flood event name.
   */
  public const FLOODING_THRESHOLD_EVENT = 'captcha_after_ft';

  /**
   * Global submit threshold flood event name.
   */
  public const GLOBAL_SUBMIT_THRESHOLD_EVENT = 'captcha_after_gst';

  /**
   * Submit threshold flood event name.
   */
  public const SUBMIT_THRESHOLD_EVENT = 'captcha_after_st';

  /**
   * Session submit threshold flood event name.
   */
  public const SESSION_SUBMIT_THRESHOLD_EVENT = 'captcha_after_sst';

}
